/* eslint-disable object-curly-spacing */
/* eslint-disable indent */
/* eslint-disable max-len */

const chromium = require('@sparticuz/chromium');
require('dotenv').config();

const { addExtra } = require('puppeteer-extra');
const puppeteer = require('puppeteer-core');
const puppeteerExtra = addExtra(puppeteer);

// add stealth plugin and use defaults (all evasion techniques)
const stealthPlugin = require('puppeteer-extra-plugin-stealth');
puppeteerExtra.use(stealthPlugin());

const [, , ...args] = process.argv;

/**
 * Crawl a Facebook page
 * @param {String} link
 * @param {String} user
 * @param {String} password
 */
async function crawl(link, user, password) {
  const browser = await puppeteerExtra.launch({
    headless: true,
    userDataDir: './browserData/facebookSession',
    args: [
      '--no-sandbox',
      '--disable-setuid-sandbox',
      '--window-size=1920,1080',
      '--lang=pt-BR,pt',
      '--disable-sync',
      '--disable-translate',
      '--no-first-run',
      '--safebrowsing-disable-auto-update',
      '--disable-prompt-on-repost',
      '--disable-popup-blocking',
      '--disable-default-apps',
      '--password-store=basic',
      '--use-mock-keychain',
      '--disable-crash-reporter',
      "--proxy-server='direct://'",
      '--proxy-bypass-list=*',
      '--deterministic-fetch',
    ],
    executablePath: await chromium.executablePath,
    defaultViewport: chromium.defaultViewport,
    ignoreHTTPSErrors: true,
  });

  try {
    const page = await browser.newPage();

    // Due to a Chromium bug handling with session restore, we need go to another page before
    await page.goto('about:blank');

    // Go to homepage to login
    await page.goto('https://www.facebook.com/', { waitUntil: 'networkidle2' });

    const title = await page.title();

    const arrData = {};

    if (title.indexOf('entre') !== -1) {
      arrData.statusLogin = 'logar';

      await page.waitForSelector('input[name="email"]');
      await page.type('input[name="email"]', user);
      await page.type('input[name="pass"]', password);
      await page.click('button[type="submit"]');

      await page.waitForNavigation();
    } else {
      arrData.statusLogin = 'logado';
    }

    // Added a random timeout to try avoid a bot behaviour
    await page.waitForTimeout((Math.random() * 3 + 1) * 1000);

    await page.goto(link, { waitUntil: 'networkidle2' });

    // We'll use this to expand all sections at about, and get full content
    await page.evaluate(() => {
      const xpath = "//div[text()='Ver mais']";

      const matchingElement = document.evaluate(
        xpath,
        document,
        null,
        XPathResult.ANY_TYPE,
        null
      );

      // eslint-disable-next-line no-undef
      while ((item = matchingElement.iterateNext())) {
        // eslint-disable-next-line no-undef
        item.click();
      }
    });

    // We'll use this to make our life easier and validate UGCs
    const innerText = await page.evaluate(() => {
      return document.querySelector('body').innerText;
    });
    arrData.additional_data = innerText;

    arrData.content = await page.content();

    console.log(JSON.stringify(arrData));
  } catch (error) {
    // console.log(error);
    console.log('DGP ERROR @ Facebook Script');
  }

  browser.close();

  process.exit();
}

crawl(args[0], args[1], args[2]);
