<?php
// phpcs:disable BestIt.DocTags.RequiredPropertyTags.TagOccurrenceMinVar
// phpcs:disable BestIt.TypeHints.PropertyTypeHint.MissingAnyTypeHint

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Channel Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 * @package App\Models
 */
class Channel extends Model
{
    use Cachable;
    use HasFactory;
    use SoftDeletes;

    /**
     * The attributes that are converted to Carbon object
     */
    protected $dates = ['deleted_at'];

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'icon',
        'name',
        'slug',
    ];

    /**
     * Binds channel to link.
     *
     * @return HasMany
     */
    public function links(): HasMany
    {
        return $this->hasMany(Links::class, 'channel_id', 'id');
    }
}
