<?php

// phpcs:disable BestIt.DocTags.RequiredPropertyTags.TagOccurrenceMinVar
// phpcs:disable BestIt.TypeHints.PropertyTypeHint.MissingAnyTypeHint

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;

/**
 * Lighthouse Data Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 * @package App\Models
 */
class LighthouseData extends Model
{
    use Cachable;

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'link_id',
        'link',
        'zone',
        'country',
        'executed_at',
        'first_contentful_paint',
        'largest_contentful_paint',
        'total_blocking_time',
        'speed_index',
        'time_to_interactive',
        'cumulative_layout_shift',
        'lighthouse_avg',
        'lighthouse_last',
    ];

    /**
     * Define the table name
     */
    protected $table = 'lighthouse_data';

    /**
     * We need to specify that we dont have the default timestamps columns
     */
    public $timestamps = false;
}
