<?php

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * NpsFeedbacks Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Tércio Lacerda <tercio.lacerda-ext@ab-inbev.com>
 * @package App\Models
 */
class NpsFeedbacks extends Model
{
    use Cachable;
    use SoftDeletes;

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'user_id',
        'rating',
        'feedback_message',
    ];

    /**
     * Define the table name
    */
    protected $table = 'nps_feedbacks';

    /**
     * Return the user
     *
     * @return belongsTo
     */
    public function user(): BelongsTo
    {
        return $this->BelongsTo(User::class, 'user_id');
    }
}
