<?php

// phpcs:disable BestIt.DocTags.RequiredPropertyTags.TagOccurrenceMinVar
// phpcs:disable BestIt.TypeHints.PropertyTypeHint.MissingAnyTypeHint

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;

/**
 * OnetrustCookie Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 * @package App\Models
 */

class OnetrustCookies extends Model
{
    use Cachable;

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'domain',
        'domainId',
        'cookieName',
        'lifespan',
        'cookie_host',
        'defaultCategory',
        'cookieSource',
        'thirdParty',
        'expiry',
        'scriptStatus',
    ];

    /**
     * Define the table name
     */
    protected $table = 'onetrust_cookies';
}
