<?php

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Ownership Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Tércio Lacerda <tercio.lacerda-ext@ab-inbev.com>
 * @package App\Models
 */
class Ownership extends Model
{
    use Cachable;
    use SoftDeletes;

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'link_id',
        'excelence',
        'iard',
        'privacy_and_security',
        'cookies',
        'pia',
        'website_data',
    ];

    /**
     * Define the table name
    */
    protected $table = 'ownership';
}
