<?php

// phpcs:disable BestIt.DocTags.RequiredPropertyTags.TagOccurrenceMinVar
// phpcs:disable BestIt.TypeHints.PropertyTypeHint.MissingAnyTypeHint

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;

/**
 * ReportDGP Class
 *
 * Materialized View to manipulate DGP's report
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 * @package App\Models
 */
class ReportDGP extends Model
{
    use Cachable;

    /**
     * The attributes that are converted to Carbon object
     */
    protected $dates = ['executed_at'];

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'iard',
        'privacy_security',
        'property_excellence',
        'website_data',
        'zone',
        'country',
        'brand',
        'alcoholic',
        'link',
        'channel',
        'executed_at',
        'official',
        'age_gate',
        'coi',
        'fan',
        'rdm',
        'ugc',
        'risk_rate',
        'vulnerability_level',
        'pia_completion',
        'cdp_implementation',
        'ga_implementation',
        'ga_access',
        'ga_taxonomy',
        'http_response',
        'semrush',
        'first_contentful_paint',
        'largest_contentful_paint',
        'total_blocking_time',
        'speed_index',
        'time_to_interactive',
        'cumulative_layout_shift',
        'lighthouse_avg',
        'lighthouse_last',
        'cookie_banner_implemented',
        'cookie_dropping_compliance',
        'cookie_compliance',
    ];

    /**
     * Define the table name
     */
    protected $table = 'reportdgp';
}
