<?php

namespace Database\Factories;

use App\Models\Country;
use App\Models\Locale;
use App\Models\Zone;
use Illuminate\Database\Eloquent\Factories\Factory;

class CountryFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Country::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'code' => $this->faker->lexify('??'),
            'locale_id' => Locale::factory()->create()->id,
            'name' => $this->faker->name,
            'zone_id' => Zone::factory()->create()->id
        ];
    }
}
