<?php

namespace Database\Factories;

use App\Models\CriteriaCategory;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class CriteriaCategoryFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = CriteriaCategory::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $name = $this->faker->name;
        $slug = Str::slug($name, '-');

        return [
            'name' => $name,
            'description' => $this->faker->sentence(),
            'position' => rand(0, 100),
            'slug' => $slug,
            'max_points' => rand(0, 100),
            'min_points' => rand(0, 100),
        ];
    }
}
