<?php

namespace Database\Factories;

use App\Models\Criteria;
use App\Models\KeywordsIards;
use App\Models\Locale;
use Illuminate\Database\Eloquent\Factories\Factory;

class KeywordsIardsFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = KeywordsIards::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $criteria = Criteria::factory()->create();

        $locale = Locale::factory()->create();

        $keywords = json_encode($this->faker->words(3));

        return [
            'criteria_id' => $criteria->id,
            'keywords' => $keywords,
            'locale_id' => $locale->id,
        ];
    }
}
