<?php

namespace Database\Factories;

use App\Models\Branch;
use App\Models\Channel;
use App\Models\Links;
use Illuminate\Database\Eloquent\Factories\Factory;

class LinksFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Links::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'branch_id' => Branch::factory()->create()->id,
            'channel_id' => Channel::factory()->create()->id,
            'institutional' => rand(0, 1),
            'link' => $this->faker->url(),
            'project_name' => $this->faker->sentence(2)
        ];
    }
}
