<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCountriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->create('countries', function (Blueprint $table) {
            $table->id();
            $table->integer('zone_id')->nullable()->index('countries_zone_index');
            $table->integer('locale_id')->nullable();
            $table->string('name', 50);
            $table->string('code', 2)->unique('countries_code_key');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->dropIfExists('countries');
    }
}
