<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToKeywordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('keywords', function (Blueprint $table) {
            $table->foreign(['criteria_id'], 'keywords_criteria_id_fkey')->references(['id'])->on('criteria');
            $table->foreign(['locale_id'], 'keywords_locale_id_fkey')->references(['id'])->on('locales');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('keywords', function (Blueprint $table) {
            $table->dropForeign('keywords_criteria_id_fkey');
            $table->dropForeign('keywords_locale_id_fkey');
        });
    }
}
