<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToLinksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('links', function (Blueprint $table) {
            $table->foreign(['owner_id'], 'links_owner_id_fkey')->references(['id'])->on('owners');
            $table->foreign(['channel_id'], 'links_channel_id_fkey')->references(['id'])->on('channels');
            $table->foreign(['brand_id'], 'links_brand_id_fkey')->references(['id'])->on('brands');
            $table->foreign(['country_id'], 'links_country_id_fkey')->references(['id'])->on('countries');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('links', function (Blueprint $table) {
            $table->dropForeign('links_owner_id_fkey');
            $table->dropForeign('links_channel_id_fkey');
            $table->dropForeign('links_brand_id_fkey');
            $table->dropForeign('links_country_id_fkey');
        });
    }
}
