<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('logs', function (Blueprint $table) {
            $table->foreign(['request_id'], 'logs_request_id_fkey')->references(['id'])->on('requests');
            $table->foreign(['user_id'], 'logs_user_id_fkey')->references(['id'])->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('logs', function (Blueprint $table) {
            $table->dropForeign('logs_request_id_fkey');
            $table->dropForeign('logs_user_id_fkey');
        });
    }
}
