<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('users', function (Blueprint $table) {
            $table->foreign(['zone_id'], 'users_zone_id_fkey')->references(['id'])->on('zones');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('users', function (Blueprint $table) {
            $table->dropForeign('users_zone_id_fkey');
        });
    }
}
