<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sso_sessions', function (Blueprint $table) {
            $table->id();
            $table->uuid('session_identifier')->unique();
            $table->text('refresh_token');
            $table->integer('user_id')->index('sso_session_user_id');
            $table->integer('expires');

            $table->foreign(['user_id'], 'ssoSessions_user_id_fkey')->references(['id'])->on('users');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sso_sessions');
    }
};
