<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cookie_compliance_reports', function (Blueprint $table) {
            $table->id();

            $table->integer('link_id')->index();
            $table->boolean('cookie_banner_implemented');
            $table->boolean('cookie_compliance');
            $table->integer('non_strictly');
            $table->integer('wrong_categorization');
            $table->boolean('domain_compliance');
            $table->text('site_status');
            $table->timestamp('executed_at')->index();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cookie_compliance_reports');
    }
};
