# Cookie

The cookie evaluation is a two steps action:

1. Update the data from Onetrust
2. Execute the robot to retrieve/validate the of cookies being dropped by the website

## Updating Onetrust data

All the information that we retrieve from Onetrust is stored in the table **onetrust_cookies**, the structure is below:

<img :src="$withBase('/images/onetrust-data.png#center')" alt="Onetrust Data Update">

Basically, for each cookie inside each domain will be created one entry in the table with the current categorization of the cookie.

To update the information, all we need to do is run the command:

```bash
docker exec -ti 7b298a35b57c php artisan cookie:criteria --update-ot-table
```

::: warning
Remember to change the container id (in this case "7b298a35b57c") to match with your PHP container that you got as output of "docker ps"
:::

## Running Robot

Once we got all the information from Onetrust updated, we can run our robot in all our assets with the command below:

```bash
docker exec -ti 7b298a35b57c php artisan cookie:criteria ----crawl-bpoc=<date>
```

::: warning
Remember to change the container id (in this case "7b298a35b57c") to match with your PHP container that you got as output of "docker ps"
:::

Note that the parameter **crawl-bpoc** is expecting an argument, this argument is the equivalent to the **executed_at** from the other commands (in the end, should be something like "2022-10-26 12:36:00").
