# IARD

We've created one line command that will start the audit on all the assets, no matter the channel.

```bash
docker exec -ti 7b298a35b57c php artisan crawler:start
```

::: warning
Remember to change the container id (in this case "7b298a35b57c") to match with your PHP container that you got as the output of "docker ps"
:::

In the image below, you can see all the possibles parameters of the command:

<img :src="$withBase('/images/crawler-start-command.png#center')" alt="Crawler Start Command">

In case you don't want to apply any filter, all you need to do is run the **crawler:start** without any parameter and wait until the robot finishes auditing all the assets.

::: warning
The robots will only audit assets that the column **consider** in the **links** table is **true**, more details [here](https://dgp.ab-inbev.com/php/docs/docs/preparation/asset-management.html)
:::
