# Introduction

AbInbev is a global company, present on multiple continents, with a lot of different cultures and people involved in all our processes. Due to this fact, this project has born, the necessity of giving visibility to all and each responsible by our brands on how compliant are the digital assets with the rules.

We've centralized the process creating a platform where everyone can consult intuitively the results for each execution, and keep track of the history of results - to make it easier to watch the improvements.

## Technologies

- The backend of this project has been created using [PHP](https://www.php.net/), more specifically [Laravel](https://laravel.com/) as our framework.
- Our frontend has been created using [VueJs](https://vuejs.org/), using [Vuestic](https://vuestic.dev/) components, and [Vite](https://vitejs.dev/) for tooling.
- Our database has been constructed entirely on [PostgreSQL](https://www.postgresql.org/), and one of the major reasons to use PostgreSQL instead other options is due to [materialized views](https://www.postgresql.org/docs/14/rules-materializedviews.html).
- Our crawlers (popularly called "robots") have been constructed using [Puppeteer](https://pptr.dev/), using [Sparticuz/chromium](https://github.com/Sparticuz/chromium) as Chromium abstraction instead of the default Chromium delivered with Puppeteer - these points will be covered with more details later.
- For website speed evaluation, due to the particularity of a global company, we're using official [GoogleChrome/lighthouse](https://github.com/GoogleChrome/lighthouse) deployed in multiple servers across the world.
- For Search Engine Optimization (SEO) evaluation we're using [Semrush](https://www.semrush.com/) API to provide the score of each website.
- For cookie-related information, we're using [Onetrust](https://www.onetrust.com/) to provide information regarding the expected classification and cookie behavior from the websites.
