# Agegate Bypass

We've introduced the concept of agegate bypass [here](https://dgp.ab-inbev.com/php/docs/docs/getting-started/crawling-process.html#age-gate-bypass), now we'll give details about the way to teach the robots how to bypass the age-gate.

In the previous section [(asset management)](https://dgp.ab-inbev.com/php/docs/docs/preparation/asset-management.html#database) we've shown the structure of the table **links** and given a small introduction about **additional_crawler**.

## Why bypass?

There are some cases in which the website has a redirect to a page before the user sees the content, to ask if the user is above LDA (Legal Drinking Age).

Let's take my example: [https://www.gooseisland.com/](https://www.gooseisland.com/), after opening the website we're directed to [https://www.gooseisland.com/age-gate](https://www.gooseisland.com/age-gate). The problem here is that this is another page, and could have some cases in which the IARD needed text is on the homepage and not on the agegate page.

Differently from www.gooseisland.com, [https://www.coronausa.com/](https://www.coronausa.com/) have the agegate as a modal - so our robot still can get all the information from the page, even with the agegate modal in front of the content.

When we've some information in the **additional_crawler**, our robot will keep the information (source code, text from the page, requests made) from the agegate page and the page after the bypass of agegate. This way, we ensure that we've covered all the possible places where the needed information to evaluate the page could be. 😉

## additional_crawler

The **additional_crawler** is a JSON string, with the following structure:

<img :src="$withBase('/images/bypass-agegate-example.png#center')" alt="Agegate bypass structure">

Insite the agegate object, we have a "storage" property that can be:

- cookie/cookies;
- local_storage;
- session_storage;
- redirect;
- steps.

Then, we have the "data" property that defines one or more pieces of information that are needed to bypass agegate (set some information in the robot or even the steps that the robot needs to perform to bypass the agegate).

One example with multiple data information and using the "steps" method to bypass agegate:

<img :src="$withBase('/images/agegate-bypass-step.png#center')" alt="Agegate bypass with steps method">
