const utils = {
  formatDate(input = '') {
    let date;
    if (!input) date = new Date();
    else date = new Date(input);
    return date.toLocaleDateString('en-US', {
      day: '2-digit',
      month: 'short',
      year: 'numeric',
    });
  },
  formatDateTime(input) {
    const date = new Date(input);
    return date.toLocaleDateString('en-US', {
      day: '2-digit',
      month: 'short',
      year: 'numeric',
      hour: 'numeric',
      minute: 'numeric',
      second: 'numeric',
      hour12: false,
    });
  },
  formatDateNumber(input = '') {
    let date;
    if (!input) date = new Date();
    else date = new Date(input);
    return date.toLocaleDateString('en-US', {
      year: 'numeric',
      month: '2-digit',
      day: '2-digit',
    });
  },
  animateHeight(node, show = false, addHeightToBoxShadow = false) {
    if (show) {
      node.style.cssText = 'height: auto;';
      const nodeHeight = node.offsetHeight;
      // if (addHeightToBoxShadow) nodeHeight = nodeHeight + 4;
      node.style.cssText = 'height: 0; opacity: 0;';
      setTimeout(() => {
        node.style.cssText =
          'transition: height 0.25s ease-in, opacity 0.25s ease-in;height:' +
          nodeHeight +
          'px; opacity: 1';
      }, 1);
    } else {
      setTimeout(() => {
        node.style.cssText =
          'transition: height 0.25s ease-in, opacity 0.25s ease-in; height: 0; opacity: 0';
      }, 50);
    }
  },
  isElement(element) {
    return element instanceof Element || element instanceof Document;
  },
  firstLetterUpperCase(string) {
    if (typeof string !== 'string') return '';
    string = string.toLowerCase();
    return string.charAt(0).toUpperCase() + string.slice(1);
  },
  getUser() {
    return parseInt(localStorage.getItem('user_id')) || '';
  },
  handleExternalLinkClick(params = {}) {
    const { url } = params;

    window.dataLayer = window.dataLayer || [];
    window.dataLayer.push({
      event: 'GAEvent',
      event_category: 'Content',
      event_action: 'Content',
      event_label: url,
      interaction: true,
    });

    window.open(url, '_blank').focus();
  },
};
export default utils;
