<?php

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/vue-dgp', function () {
  return redirect(env('SSO_AFTER_LOGIN'), 301);
})->name('vue-dgp');

Route::get('/clear-cache', function () {
  $response = '';

  try {
    Artisan::call('optimize:clear');

    apcu_clear_cache();

    $response = 'Cache Cleared!';
  } catch (Exception $e) {
    $response = 'Failed!';
  } finally {
    return '<div style="display: grid; place-items: center; height:100%; width: 100%;"><h1>' . $response . '🦉</h1></div>';
  }
});

Route::get('/cache-info', function () {
  $response = '';

  try {
    $response = apcu_cache_info();
  } catch (Exception $e) { // @phpstan-ignore-line
    $response = 'Failed!';
  } finally {
    return $response;
  }
});

Route::any('/{any}', function () {
  return '<div style="display: grid; place-items: center; height:100%; width: 100%;"><h1>DGP 🦉</h1></div>';
})->where('any', '.*');
