const { Client } = require("pg");
const XLSX = require('xlsx')

const credentials = {
  user: "psql",
  host: "localhost",
  database: "dgp",
  password: "password",
  port: 5432,
};

const toTimestamp = (strDate) => {
  return new Date(strDate).toISOString();
}  

const fixValue = (value) => {
  let returnValue = value.toString();
  switch (value) {
    case true:
    case 'true':
    case 'TRUE':
    case 'True':
    case 'VERDADEIRO':
    case 'Verdadeiro':
    case 'verdadeiro':
    // case '1':
    // case 1:
      returnValue = 'true';
      break;

    case false:
    case 'false':
    case 'falso':
    case 'FALSO':
    case 'Falso':
    case 'FALSE':
    case 'False':
    //case '0':
    //case 0:
      returnValue = 'false';
      break;

    case 'nl':
    case 'NL':
      returnValue = null
      break;
    
    case 'NA':
    case 'na':
      break;
  
    default:
      returnValue = returnValue.toLowerCase();
      break;
  }
  return returnValue
}

const files = [
  './excel/20221229.xlsx',
]

for (let i = 0; i < files.length; i++) {
  console.log(files[i])
  const file = XLSX.readFile(files[i])
  const sheets = file.SheetNames
  const xlsxData = XLSX.utils.sheet_to_json(file.Sheets[sheets[0]]);

  (async () => {
    const client = new Client(credentials)
    await client.connect()
    const resLinks = await client.query("select id, link from links")
    const links = resLinks['rows']
    const resCriterias = await client.query("select id, name from criteria")
    const criterias = resCriterias['rows']

    let notFoundSites = 0
    let notFoundSiteArr = []
    let emptyValue = 0
    let notFoundCriteria = 0
    let notFoundCriteriaArr = []
    let lineAdded = 0;
    for (let index = 0; index < xlsxData.length; index++) {
      const element = xlsxData[index];

      const link = links.filter(item => item['link'] === element['link'])[0]

      if(!link) {
        notFoundSites++;
        if(!(notFoundSiteArr.includes(element['link']))) notFoundSiteArr.push(element['link'])
        continue;
      }

      for (const key in element) {
        const elementValue = element[key];

        if(elementValue !== null || elementValue.length > 0)  {
          const criteria = criterias.filter(item => item['name'] === key)[0]
          if(criteria) {
            try {
              const date = toTimestamp(element['executed_at']);
              const details = ''
              let fixedValue = fixValue(elementValue)
              if(typeof fixedValue === 'string' && fixedValue.length === 0) fixedValue = null
              let query = await client.query("INSERT INTO links_criteria(criteria_id, link_id, executed_at, response, details, official, created_at, updated_at, use_on_report) VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9)", [criteria.id, link.id, date, fixedValue, details, true, date, date, true])  

              lineAdded++;    
        
            } catch (err) {
              console.log(err)
            }
          } else {
              notFoundCriteria++;
              if (!(notFoundCriteriaArr.includes(key))) notFoundCriteriaArr.push(key)
          }
        } else {
          emptyValue++;
        }     
      }    
    }
    await client.end()
    console.log('Done!')
    console.log('Not found sites: ' + notFoundSites)
    console.log('Not found sites Array: ' + notFoundSiteArr)
    console.log('Empty values: ' + emptyValue)
    console.log('Not found criteria: ' + notFoundCriteria)
    console.log('Not found criteria Array: ' + notFoundCriteriaArr + ' - ' + files[i])
    console.log('Lines addded: ' + lineAdded)

    console.log('not found: ' + notFoundCriteriaArr)
  })()
}